package client

import (
	"context"
	"github.com/google/uuid"
	"golang.org/x/oauth2"
	"golang.org/x/oauth2/authhandler"
)

var (
	State = uuid.New().String()[:8]
)

func Run(ctx context.Context) error {
	oauth2.NewClient(ctx, authhandler.TokenSource(
		ctx,
		&oauth2.Config{
			ClientID:     "",
			ClientSecret: "",
			Endpoint: oauth2.Endpoint{
				AuthURL:       "",
				DeviceAuthURL: "",
				TokenURL:      "",
				AuthStyle:     0,
			},
			RedirectURL: "",
			Scopes:      nil,
		},
		State,
		func(authCodeURL string) (code string, state string, err error) {

		},
	))
}
